Dash (Freeplane API 1.11.8)
Description: declaration: package: org.freeplane.api, enum: Dash

Package org.freeplane.api

# Enum Class Dash

java.lang.Object
java.lang.Enum<Dash>
org.freeplane.api.Dash

All Implemented Interfaces:
  `Serializable`, `Comparable<Dash>`, `Constable`

public enum Dash extends Enum<Dash>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLOSE_DOTS`
  `DASHES`
  `DISTANT_DOTS`
  `DOTS_AND_DASHES`
  `SOLID`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static Dash`
  `DEFAULT`
  `final int[]`
  `pattern`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Optional<Dash>`
  `of(int[] pattern)`
  `static Dash`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Dash[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SOLID

    public static final Dash SOLID

  - ### CLOSE_DOTS

    public static final Dash CLOSE_DOTS

  - ### DASHES

    public static final Dash DASHES

  - ### DISTANT_DOTS

    public static final Dash DISTANT_DOTS

  - ### DOTS_AND_DASHES

    public static final Dash DOTS_AND_DASHES

- ## Field Details

  - ### DEFAULT

    public static Dash DEFAULT

  - ### pattern

    public final int[] pattern

- ## Method Details

  - ### values

    public static Dash[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Dash valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### of

    public static Optional<Dash> of(int[] pattern)